Bug 511909 - screen output is weird after screensaver wakeup
screen output is weird after screensaver wakeup
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-15 11:29 EDT by jeremy boyd
Modified: 2010-05-10 19:15 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-10 19:15:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description jeremy boyd 2009-07-15 11:29:09 EDT
Description of problem: if gnome-screensaver starts and i wake up my machine my screen looks weird. the colors are dark and lo-res and the fonts have hard edges instead of aliasing. it is almost like the screens contrast is boosted and the brightness is lowered. logging out solves the problem. i'm using an hp pavilion dv7 1174ca laptop with nvidia ge9600m card. i am using the nouveau driver because i haven't been able to get the proprietary nvidia driver working yet. this could be a problem with X but i'm not sure.

when it happened i took a screenshot and after logging back in i looked at it and it was normal.

i just watched it happen and it started when the screen would normally start to dim before the screensaver starts up.


Version-Release number of selected component (if applicable):gnome-screensaver-2.27.0-2.fc12.x86_64


How reproducible:always


Steps to Reproduce:
1.let computer go into screensaver mode
2.wake up from screensaver mode
3.
  
Actual results:high contrast and low brightness


Expected results:normal display


Additional info:
Comment 1 jeremy boyd 2009-07-15 11:32:03 EDT
i just looked at my xorg log file and these two lines were at the end.

(II) NOUVEAU(0): nv50_crtc_gamma_set is called for CRTC0.
(II) NOUVEAU(0): NV50CrtcGammaSet is called for CRTC0

it repeated a bunch of times.

i'm sorry if this is not a screensaver issue but i'm not sure if this is xorg, or nouveau or gnome-screensaver

thanks for your help.

jeremy boyd
Comment 2 Ben Skeggs 2009-09-02 17:07:01 EDT
Can you post your /var/log/Xorg.0.log please.  Also, is there any particular reason you're booting without kernel modesetting?  And does this issue still occur with it turned on?
Comment 3 jeremy boyd 2009-09-02 20:28:16 EDT
i generally just boot with no added kernel options, i'm not even sure what modesetting does. i'll have to get a hold of the computer that this is happening on before i can get you that log file. the machine has an ati graphics card and without the fglrx driver so that might also be the issue. im going to try installing the fglrx driver and if it still happens i'll post back with the log file.

jeremy boyd
Comment 4 Ben Skeggs 2009-09-02 21:16:50 EDT
Um, the output you posted above is from the nouveau driver, which is for NVIDIA GPUs, where does an ATI card come into this?
Comment 5 Matěj Cepl 2009-11-05 12:13:38 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages (at least F12Beta, but even better if the very latest versions).

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 6 Bug Zapper 2009-11-16 05:59:44 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Chris Campbell 2009-12-05 11:24:22 EST
Jeremy, your Comment #3 caused some confusion. Could you please attach the log asked for in Comment #2 as well as verify what card/driver you were using when you found this bug?

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 8 Matěj Cepl 2010-02-26 07:25:17 EST
Could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[Note please, that this is machine generated comment for large amount of bugs; due to some technical issues, it is possible we've missed some of the responses -- it is happens, please, just a make a comment about that; that we will see. Thank you]
Comment 9 Matěj Cepl 2010-05-10 19:15:06 EDT
Since there are insufficient details provided in this report for us to investigate the issue further, and we have not received feedback to the information we have requested above, we will assume the problem was not reproducible, or has been fixed in one of the updates we have released for the reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest update of their distribution, and if this issue turns out to still be reproducible in the latest update, please reopen this bug with additional information.

Closing as INSUFFICIENT_DATA.

Note You need to log in before you can comment on or make changes to this bug.